﻿// <copyright file="Program.cs" company="ANUJ Technologies Inc.">
// Copyright (c) 11-13-2011 All Right Reserved
// </copyright>
// <author>Anuj Varma, www.anujvarma.com</author>
// <date>11-13-2011</date>

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VirtualMode_DataGridView.DomainObjects;

namespace VirtualMode_DataGridView
{
    public partial class BoundModeForm1 : Form
    {
        const int NUMROWS = 10000;
        BindingList<Customer> _customers = new BindingList<Customer>();

        public BoundModeForm1()
        {
            InitializeComponent();
            InitializeData();
            InitializeGrid();
            dataGridView1.Refresh();
        }

        private void InitializeGrid()
        {
            this.dataGridView1.DataSource = _customers;
        }

        void InitializeData()
        {
            AddCustomerData();
        }

        private void AddCustomerData()
        {
            for (int i = 0; i < NUMROWS; i++)
            {
                string company = "ABC" + i + " Corp";
                string name = "A" + i + "V" + i;
                Customer c = new Customer(company, name);
                this._customers.Add(c);
            }

            // Set the row count, including the row for new records.
            this.dataGridView1.RowCount = NUMROWS;
        }
    }
}
